# 2D Animation Options

![Animation Settings Icon](docs/images/animation_settings_icon.png)
Access the animation settings pop up to tweak the animation how you need.

![Animation Settings](docs/images/animation_settings.png)

### Frame Width/Height
Alter the width and height of the frame of animation. Obviously the size of the frame will affect the overal size of the sprite sheet or animation strip depending on how you're export so the more frames you have the large the size of the exported file.

### Position
The offset of the effect in the animation frame. You will probably have to offset it in order to fit it in the frame. 3D effects will have the additional Z axis component as well.

### Offset into Frame
This is for 3d effects only, and adjusts how far into the frame the effect will be placed when clicking the animation window. This can be more useful then using scale to adjust the size of the effect to fit into the frame so that clicking to position the effect as well won't mess things up.

### Seed
Every time the animation is recorded it will use this seed for all random numbers used in the creation of the effect, so it is the same each time. You can change the seed to see different variations of the effect. Press the Dice icon to quickly create a random seed number.

The animation will be automatically rerecorded each time you change the seed.

### Scale
Change the scale to resize the effect. This will be useful to fit the effect within the frame how you need. Sometime you might want to overlap the edges if you are creating a seamless texture.

### Seamless
This is an option that is currently for 2d effects only. Seamless refers to seamless textures where the particles will wrap around at the edges so the animation can be tiled seamless, useful for creating seamlessly textured animated tiles.

You will need to ensure that the effect is scaled so that it overlaps the frame edges or seamless won't actually have any effect. 

When in seamless mode the preview changes to tile the animation so you can see how it looks when tiled.

### Loop Animation
This option will make the animation loop. So any particles that have not expired at the end of the animation will wrap around to the start and keep doing so until they expire. Single particles will be forced to expire after reaching the end of the animation.

This is great for effects that are not finite that can just loop over and over like fires, torches, flares or anything else.

### Auto Set Frames
If the effect is finite, meaning that after a certain amount of frames all particles have expired, you can use this option to automatically set the number of frames to contain the whole effect.

### Length
Set the number of frames in the animation. Will be greyed out if *Auto Set Frames* is set.

### Offset 
This will offset the start of the effect by the number of frames you set here. Note that if you're looping the animation then you probably won't get great results unless the offset is set to 0 as everytime it loops around to the start the particles in the first frame will already be a few frames into the animation due to the offset and it may look a bit janky.

### Playback Speed
Use the playback speed value to alter the frame rate of the effect. Lower values here mean higher frame rate. So for example, a value of 0.5 would mean that the effect is recorded at twice the speed. This can be very useful if you're trying the fit the animation into a smaller number of frames.

### Draw Masked When Moving or Scaling
In order to make it easier to see if the effect is overlapping the edges of the frame you can check this option. This means that when you are positioning or scaling the effect it will be drawn in opaque magenta so faint transparent particles will be clearly visible.

### Always Draw Masked
This is the same as *Draw Masked When Moving or Scaling* except that it is permanently on.
