# Effect Attributes Overtime
Any property that comes under "Attributes" will be a graph where you can configure the values of the attribute over the lifetime of the effect, emitter or particle depending on the attribute. In the case of effect attributes we will be talking in terms of the lifetime of the effect.

Attributes are edited using a "Drag Float" widget and a button you can click to access the graph for the attribute. Editing graphs are covered in a separate section [Read More](help_graphs_overview).

![Attribute Drag Float and Graph Access](docs/images/effect_rotation_attributes.png)

When you change the value of the drag float, what you're doing is changing the value of the first node on the graph. A lot of the time for some effects this is all that's required for the effect you're trying to achieve so this is a convenient way of changing the value without needed to access the graph.

### Effect Rotation
Here you can change the rotation of the effect which in 2d will just be the angle of the effect [Show Me](effect_transform_angle), or in 3d it will be the roll, pitch and yaw of the effect: [Effect Roll](effect_transform_roll), [Effect Pitch](effect_transform_pitch) and [Effect Yaw](effect_transform_yaw).

This will have varying effects based on how you set up the emitters and whether they are configured to stay relative to the effect or now. Use the graphs to rotated the effect overtime as well.

### Effect Translation
Change the translation attributes to move the effect about overtime in the x and y axis for 2d effects and z axis if it's a 3d effect: [Effect Translate X](effect_transform_translate_x), [Effect Translate Y](effect_transform_translate_y) and [Effect Translate Z](effect_transform_translate_z)

### Effect Global Multipliers
All attributes in the [Particle Attributes Overtime](help_particle_behaviour_overtime) and some emitter attributes can be scaled using the attributes here. Most are self explainitory:

Note that if any of the emitter or particle attributes are 0 then these values won't have any effect.

  * [Global Life](global_life): Scale the length of time that all particles will be alive for before expiring.
  * [Global Amount](global_amount): Scale the amount of particles that will be spawned from each emitter.
  * [Global Velocity](global_velocity): Scale the speed that particles move at. This does not affect effect and emitter translation graphs, it only applies to particle movement.
  * [Global Particle Size](global_particle_size): Scale the size of particles. Click the padlock button to enable you to switch between scaling uniformly or not.
  * [Global Weight](global_weight): Scale the weight of particles to make them move downwards faster or slower.
  * [Global Spin](global_spin): Scale the rate at which particles spin and rotate.
  * [Global Stretch](global_stretch): Scale the amount that particles are stretched along their current alignment.
  * [Global Overal Scale](global_overal_scale): Change the overal size of the effect so that you can easily scale it up or down.
  * [Global Intensity](global_intensity): Scale how transparent the particles are. All color values in the particle are multiplied by this number so numbers above 1 make the particle more vibrant and intense.
  * [Global Splatter](global_splatter): Scale how much emitters scatter the spawn location of particles.
  * [Global Emitter Width](global_emitter_width), [Global Emitter Height](global_emitter_height) and [Global Emitter Depth](global_emitter_depth): Scale the size of the spawn area for emitters that have emission types other then Point emission.
