# Effect Properties
There are 2 groups of effect properties that you can use to affect all emitters and particles within the effect globally.

![Effect Properties](docs/images/effect_properties.png)

## Effect Properties
### 3D Effect
Check this to make the effect 3D so that particles can also be moved and rotated in 3 dimensions. The preview window will also change to a 3d view that you can move about in by holding the right mouse button and using WSAD keys. [Show Me](is_3d)

### Effect Offset
This is the amount to offset the effect from it's origin point where it's placed in the world. [Show Me](effect_offset)

### Effect Loop
When an effect plays it will access values on a graph based on the time that the effect has been running for. You can use this value to make the graphs loop over their values based on the time you set here. The time is measured in milliseconds. [Show Me](effect_loop_length)

### Base Noise Offset Range
If you're using noise to create random particle movement then it can be useful to add an offset to the noise value so that each effect doesn't play the same. Note that this is more useful when using the library to playback effects in your game. It means that in your game when you create an instance of the effect you can alter the noise offset so that each instance of the effect doesn't look the same. [Show Me](noise_base_offset_range)

### Draw in Age Order
Make all of the particles draw in the order that they are spawned. So newly spawned particles will draw over the top of older particles. [Show Me](draw_order)

### Draw in Depth Order
This option is only available for 3d effects. All particles will be drawn in order of distance from the camera. [Show Me](draw_order). There are 2 modes for this: 

  * **Guarantee Order Each Frame**: This will sort the particles each frame and guarantee that the sprites will be ordered every time.
  * **Extra Sort Passes**: This will do a simple bubble sort each frame so that overtime the particles will be eventually ordered over a number of frames. You can adjust the number of passes up to 5, if you need more passes then that then you're better off just guaranteeing the order each frame instead.

Which is best depends on what you need and how much you want to balance performance. It's worth noting that when the particles are spawned with depth ordering they are inserted into the sprite list it the correct place so the initial spawn will be guaranteed to be in order. It then just depends on the effect and how much the particles move about over their lifetime on which method best suites your needs.

The algorithms used for sorting are:

  * **Quick Sort**: For newly spawned particles only each frame which are then inserted into the correct position in the sprite list.
  * **Insertion Sort**: For guaranteed order each frame.
  * **Bubble Sort**: For x sort passes each frame.

### Hue
Hue allows you to rotate the color of all emitter color ramps in the effect. Emitters can be excluded from this under the Particle Behaviour Overtime > Particle Color attributes. [Show Me](effect_hue)
