# Emitter Attributes Overtime
In this property section you can attributes for the emitter that define how it spawns particles in an area and how to transform the particle by setting rotation and translation
![Emitter attributes overtime](docs/images/emitter_attributes_overtime.png)

## Emitter Area Size Overtime
For any emission type that you set in the *Emitter Emission Type* properties other then point, you can set the size of the area here. You can access the graph of the attribute by clicking the ellipsis button: [Emitter Width](property_emitter_width), [Emitter Height](property_emitter_height) and [Emitter Depth](property_emitter_depth)

See the help section on [editing graphs](help_graphs_overview) for more info

### Emitter Width 
For any area effects such as area, ellipse, cylinder or icosphere. [Show Me](property_emitter_width)

### Emitter Height (or Emitter Line Length)
For any area effects such as area, ellipse, cylinder or icosphere. This changes to Line Length if Line emission type is set. [Emitter Height](property_emitter_height), [Emitter Line Length](property_emitter_line_length)

### Emitter Depth
For any 3D area effects only such as area, ellipse, cylinder or icosphere. [Show Me](property_emitter_depth)

### Arc Size
When using either ellipsis in 2d or 3d cylinders you can control the size of the arc of the ellipse if you wanted something like a pizza slice shape. [Show Me (requires an emitter with ellipse or cylinder emission types)](property_arc_size)

### Arc Offset
Similar to Arc Size, offset will dictate the offset of degrees for the Arc. [Show Me (requires an emitter with ellipse or cylinder emission types)](property_arc_offset)

### Splatter
This will cause particles to spawn randomly in a radius that you set here and applies to all emission types. So first the emitter will spawn the particle in a position based on the emission type, and then it add a random postion to that spawn point based on this radius. [Show Me](property_splatter)

## Emission Direction
If you want the particles to have velocity then you can determine the direction that they travel when they spawn using the attributes here. For 2D effects there is range and angle, but for 3D effects you have Pitch and Yaw instead. [Show Me](property_emission_angle)

### Emission Range
The range of degrees that the particles will randomly choose from to travel in. [Show Me](property_emission_range)

### Emission Angle
When the effect is 2D then you can set the angle of emission here. Of course if the *Emission Range* is 360 then it won't matter what the emission angle is.

### Emission Pitch
For 3D effects adjust the emission angle up and down using pitch. [Show Me](property_emission_pitch)

### Emission Yaw
For 3D effects adjust the emission angle left and right using yaw. [Show Me](property_emission_yaw)

## Emitter Rotation
Emitter rotation allows you to rotate the emitter by adjusting its pitch, yaw and roll in 3D or just the angle of the emitter in 2D. If you have the *Relative Position* set under *Spawn Options* then particles will rotate with the emitter, otherwise rotating the emitter will only rotate the spawn points with the emitter and then once the particle is spawned it will be positioned independently of the emitter.

[Emitter Angle (2d Effects)](property_emission_angle)
[Emitter Roll](emitter_transform_roll)
[Emitter Pitch](emitter_transform_pitch)
[Emitter Yaw](emitter_transform_yaw)

## Emitter Translation
Emitter translation allows you to move the emitter about relative to the effect position along the X and Y axis and Z axis if it's 3D effect. 

[Emitter Translate X](emitter_transform_translate_x)
[Emitter Translate Y](emitter_transform_translate_y)
[Emitter Translate Z](emitter_transform_translate_z)
