# Emission Type
All of the options under emission type are where you can setup how emitters spawn particles and whether they should spawn from a single point or in and area.

## Point
![Point Emission](docs/images/point_emission.png)
When point emission is selected all particles will be spawned from a single point. You can also use the Scatter graph under *Emitter Attributes Overtime > Emitter Area Size Overtime* to apply a random scattering of spawn points you need.

## Area, Ellipse, Cylinder
![Point Emission](docs/images/area_emission.png)
Area emission will spawn particles in a cube area if you're using 3d or a square with 2d effects. There are a few additional options to further control how particles spawn.

The following options will apply for most area type emitters:

### Area Size
Alter the size of the area that the particles spawn in. This is a drag float for each dimension that also has a graph if you need to change the size of the area over the lifetime of the emitter. You can click the ... button to access the graph and it is also found under *Emitter Attributes Overtime > Emitter Area Size Overtime*.

### Base Spawn Amount on Area Size
Checking this option will tie the amount spawned to the area size so as the spawn area increases or decreases in size so the amount spawned will be more or less respectively.

### Fill Area
Check this option to either make particles spawn inside the area or on the edges of the area only.

### Grid Emission
Rather then the particles spawn in random positions in or on the area, you can check this option to make them spawn within a grid on the area. This options only applies to Area, 2d Ellipses and Cylinders. If this is checked then you can also adjust the following options:

  * **Spawn Left To Right**: Alternate between the direction the particles spawn on the grid.
  * **Spawn Randomly**: Check to spawn in random positions on the grid.
  * **Rows/Columns**: Set the number of rows and columns that you want for the grid.
  * **Open Ended Area**: 3d area and cylinder emitters only, check this so that particles don't spawn at either end of the area or cylinder.

### Emission Direction
If the particles have velocity then when spawning in an area you can determine their direction based on their relative position to the origin point of the emitter. So if you're spawning in an area and the emission direction is set to Inwards, then the particles travel towards the center of the emitters. Note that this direction is set when the particle is spawned and won't continue to be updated as the particle ages.

  * **Inwards**: Direct the particle towards the origin point of the emitter.
  * **Outward**: Direct the particle away from the origin point of the emitter.
  * **Both Ways**: Alternate each particle that's spawned both inwardly and outwardly.
  * **Specified**: Only base the direction based on the emission graphs under *Emitter Attributes Overtime > Emission Direction*. 

### Center Emitter
Check this to place the origin point at the center of the area where particles are emitter. Uncheck this option if you want to offset the origin point.

## Line
Lines utilise most of the options that an area does but there are also options for line traversal. (Edge traversal will be coming soon to other areas).

![Line Traversal](docs/images/line_traversal.png)

### Line Traversal
By checking line traversal you can particles travel along the line relative to the emitter position and rotation. This is great for things like laser effects. There's a few extra options that have different effects on how the particle behaves when it reaches the end of the line.

  * **Loop Around**: Make the particle start again from the beginning of the line and keep going round in a loop until the particle expires.
  * **Let Free**: The particle will keep going until it expires.
  * **Kill**: The particle will expire as soon as it reaches the end of the line.

## Ico Sphere
This is similar to an ellipse but particles will spawn at specific points on the sphere depending on the number of subdivisions you select. The number of sub divisions you can choose are 1 to 5, with 5 being the most spawn points.

If spawn randomly is selected then points on the sphere will be selected at random to spawn at, otherwise particles will spawn in order from top to bottom. If you want to spawn from bottom to top you could just rotate the emitter 180 degrees using the Emitter Rotation graphs.
