# Getting Started
To start with, just load an effects library and play about with some of the effects then read below to learn about the interface and click the links to go deeper into what that part of the interface does. 

When you load the editor for the first time it will load an example library automatically and you should see the list of effect on the right hand side of the editor. Click a few of the the effects and you will see them play in the preview tab window. 

## Author Notes
If you click on the effect called "Explosion" you will see an "Author Notes" tab. This tab has notes that are made that go over how the effect was created to help you get to grips with how effects work. The tab will show for any other effects that have author notes.

## Insights
In addition to Author notes, every effect and emitter also has an auto-generated Insights tab that goes over the properties and attributes that were used to create the effects and emitters. You can click all the links on these tabs to highlight where you can find the properties.

If you have an effect selected then you can keep clicking in the preview window to restart the effect.

## The Interface
### Windows
The TimelineFX editor has a simple interface using windows and tabs that you can rearrange anyway that you want by clicking and dragging them into position using the window docker.

  * **Library**: This is where all the effects live in the library that you're currently working on. It's a simple treeview where effects are the root node of a particle effect that you can use to alter global properties of and effect. These will contain 1 or more emitters that do the job of spawning particles. [Read More](help_library_window)
  * **Properties**: All properties and attributes that affect the behaviour of all the particles that an effect spawns are listed here. All the properties are grouped together as logically as possible and are also searchable by keyword.
  * **Graphs**: When you edit an attribute in the properties window you can access it's graph here and draw the behaviour of the particle overtime.
  * **Shapes**: This window shows all the shapes that you have loaded in for a library. You can assign any shape here to an emitter in the library and all particles spawned by that emitter will be drawn using that shape.
  * **History**: Every change you make to an effect is saved here. It's essentially the undo list but you can also preview a previous change and even create a new effect from a previous point in time as well as undo effect changes here.
  * **Preview**: The preview window is where you can see your effect take shape as you develop it. If you're creating 3d effects then you can hold the right mouse and move about the scene using WSAD.
  * **Animation**: In this window you can setup and export a sprite sheet of the effect.
  * **Sprite Data Export**: This is where you can setup the sprite data export. All sprites of each frame of the effect can be baked in and played back using a compute shader. The data can also be compressed to save a lot of memory depending on how much you compress (some effects will compress better then others). 
  * **Help**: What you're reading now! You can search all the help topics by keyword using the text box above.

### File Menu
The typical file menu where you can load and save effects.

  * **New**: Create a new empty library.
  * **Open Library**: Open an existing effects library.
  * **Open Recent**: Quickly access previously opened libraries.
  * **Import Library**: Import effects and shapes from another library.
  * **Save**: Save the currently opened effect library.
  * **Save as**: Save the currently opened effect library as a new file.
  * **Export Sprite Data**: This requires you to set up sprite data for effects using the Sprite Data Export tab. It will be greyed out until you do that. [See Sprite Data Export for more details](help_sprite_data_overview).
  * **Load Most Recent on Startup**: Check this option to load the most recent effect library you were working on when the editor starts up.
  * **Convert Old .eff File**: Use this to convert an effect library from the old version of TimelineFX.
  * **Quit**: Close the editor.

### Edit Menu
The options under this menu allow you to undo create new effects and emitters, copy and paste etc.

  * **Undo**: Undo the last change you made to the currently selected effect. This will effectively roll back each item in the History window.
  * **Redo**: Redo the last undo you made for the currently selected effect.
  * **Cut, Copy, Paste**: Copy and paste the effect and emitters that you have selected in the Library window.
  * **Clone**: Clone the currently selected effect or emitter.
  * **Move Up/Down**: Move the currently selected effect or emitter that's selected in the Library window.
  * **Add Folder**: Add a new folder to the library. These can be useful to organise your effects.
  * **Add New Effect/Emitter**: Allows you to select from a bunch of preset effects and add a new effect or emitter to the library. These menus are contextual based on what you currently have selected in the editor.
  * **Delete**: Deletes the currently selected effect or emitter. Deleted effects can be restored from the **Restore Delete Effects** edit menu option. Deleted emitters can be restored via the History window.

### Settings Menu
Various settings for the editor. [Learn more about them and what they do here](help_general_settings).
