# Creating Sine and Square Waves
For some effect aesthetics it can be useful to have graphs that look like sine or square waves. One usage might be for the intensity of particles to blink on and off, or for the size to alternate between large and small.

This is made easier using the Sign and Square wave generation tools which are accessed using the toolbar.

![Graph Waves](docs/images/graph_wave.png)
Both have very similar interfaces. When you click the button you will be presented with a confirmation button as all the current nodes on the graph will be removed before creating the wave. (You can always undo via the history tab if you need to).

## Sine Wave Generation
The sine wave is generated by using the following sliders in the popup window:

![Graph Sine Wave](docs/images/graph_sine_wave.png)

### Frequency
Adjusts the number of peaks and valleys of the wave up to a maximum of 20.

### Start Offset
Adjusts the start offset value of the first node on the graph.

### End Offset
Adjusts the end offset value of the last node on the graph.

### Width Factor
Adjusts the X axis scale for all the nodes on the graph.

### Height Factor
Adjusts the Y axis scale for all the nodes on the graph to make the peaks taller or shorter.

### Offset
Will offset all nodes on the graph along the Y axis.

### Smooth
Check this option to toggle between all the nodes on the graph having curves or not. Note that this option applies to Sine wave generation only.

### Up First
This will toggle the wave so that the first node is a valley first or a peak first. If this value is checked then the first node's y value will be 0 **unless** you have edited the Start Offset value. This is also true for the last node on the graph as well.

### Reset
Clicking the reset button simply resets the graph back to the default buttons so you can start again.

![Graph Sine Waves Example](docs/images/graph_sine_wave_example.png)

## Square Wave Generation
Square waves are similar to sine waves accept that each valley and peak goes straight up and straight down so there is not smooth transition between each y value. All sliders are the same as the sine wave generator except for the fact that there is no option to smooth the nodes on the graphs.

![Graph Square Waves Example](docs/images/graph_square_wave_example.png)
