# The Library Window
This is where you can view the list of effects contained in the library that you're currently working on.

An effect can contain one or more emitters. These emitters in turn can contain sub effects which can have their own emitters. You can create up to a depth of 2 sub effects.

## The Effect
The root effect is where you can setup some global properties that affect all emitters within the effect. You can add as many emitters as you need to an effect and each of those emitters have their own properties and attributes that can be scaled by the global attributes in the efffect.

![Effect Properties](docs/images/effect.png)

When you select an effect in the Library window, you will see the properties of the effect in the Properies window. Those properties are:

![Effect Properties](docs/images/effect_properties.png)

  * **Effect Properties**: Here you can switch between 2d or 3d effect and change other things like the draw order of the effect.
  * **Effect Attributes Overtime**: These are attributes for the effect that you can use to change how the effect behaves over time, such as its rotation and transformation, and global attributes that scale the attributes of all the emitters within the effect.

[Click Here to learn more about Effect Properties](help_effect_properties)

## The Emitter
When you click the treenode of an effect it will open out where you can see the emitters that it contains. The currently assigned image for the particles that are emitted from the emitter will be shown next to the emitter.

When you select an emitter the properties for the emitter will show in the Properties window. These are:

![Effect Properties](docs/images/emitter_properties.png)

  * **Emitter Emission Type**: Emitters and spawn particles in different types of areas like ellipse, sphere, line or just from a single point. You can set those options here.
  * **Particle Rotation**: Here you can set how the particle is rotated and will have differing options depending on whether it's a 2d or 3d effect.
  * **Spawn Options**: There's a few different options you have for how a particle spawns such as whether it's just a one-off spawn or whether it continuously spawns particles overtime.
  * **Particle Image**: The particle image you want to use to draw particles with. If the image has more then one frame of animation then other options become available too.
  * **Emitter Attributes Overtime**: Here you can setup the graphs to make some of the emitter properties like transform, emission direction and size change overtime.
  * **Particle Behaviour Overtime**: These attributes are where you can change how the particle looks and behaves overtime.

[Click Here to learn more about Emitter Properties starting with emission type](help_emitter_emission_type)
[Click Here to learn more about controlling particles overtime](help_particle_behaviour_overtime)