## Particle Color
Like other particle attributes, the color of particles can be changed overtime using the color ramp and other values here like *Blendfactor Overtime* and *Intensity Overtime*.
![Particle Color](docs/images/particle_color.png)

### The Color Ramp
This is widget that you can use to create a gradient that either represents how the color changes overtime or which color the particle will randomly choose at spawn time if you have *Random Color from Gradient* selected.

Like graphs, the color ramp will always have a mimimum of one notch at time 0, the left side of the ramp.

![Color Ramp](docs/images/color_ramp.png)

The color ramp consists of notches, each of which can be assigned a color which makes up the ramp. If you want to edit an existing color notch on the ramp then hover the mouse over a notch and then click the right mouse button. A popup will show where you can edit the color with a color picker tool.
![Color Notch Popup](docs/images/color_notch_popup.png)

There is also a toolbar in the pop up that has some other options. 

![Color Swatch Icon](docs/images/color_ramp_option_swatch.png)
The first icon opens a swatch pop up where you can select from some commonly used colors.

![Color preset gradients icon](docs/images/color_ramp_option_gradients.png)
The second icon opens pop up where you can select from some preset gradients.
![Color ramp gradients popup](docs/images/color_ramp_gradients_popup.png)
You can adjust the brightness and hue sliders to adjust the gradients to your liking and then click a gradient to replace the color ramp with the gradient that you select.

![Delete color notch](docs/images/color_ramp_option_delete.png)
Click the cross icon to delete the currently selected notch that you right clicked on. If you didn't right click on a notch then this icon will not show in the popup.

![Add color notch](docs/images/color_ramp_option_add.png)
Click the add icon to add new color notch to the ramp. This icon will only show if you only right click on the ramp not a notch on the ramp.

![reset color ramp](docs/images/color_ramp_option_reset.png)
This icon resets the graph to a single white notch.

![copy paste color ramp](docs/images/color_ramp_option_copypaste.png)
Finally there are the standard copy and past icons that you can use to copy the color ramp to another emitter. You can also click and drag the copy icon to another emitter in the library list to copy the color ramp as well.

### Hue
Use the hue slider to adjust the hue of all colors in the gradient. (Coming soon, hue will be move to a graph attribute allowing you to control the hue over the life time of the particle).

### Random Color from Gradient
Check this option to make the particle pick a random color from the gradient to use for it's whole life time rather then sample the gradient at each frame. (Note: we'll probably add an option to start from a random location on the gradient but still animate and loop over the gradient as well)

### Blendfactor 
The blend facter graph enables you to adjust how the particle blends it's color with what it's rendering on to overtime. Blendfactor is a range from 0 to 1 with numbers closer to 1 being an additive blend and values closer to 1 being alpha blended.

### Intensity
The intensity graph enables you to adjust the transparency of the particle overtime. Values closer to 0 will be more transparent and higher values (especially over 1) will be more intense as this value is multiplied with the color of the particle.
