# Particle Rotation
There are a number of ways to control the rotation of particles in 2D and 3D.

## 2D Rotation Options
![2d particle rotation options](docs/images/particle_rotation_2d.png)
In order to rotate 2d particles you have the following options:

### Align Options
  * **Align**: Keeps the particle aligned to whatever the direction the particle is travelling in.
  * **Emission**: Aligns the particle to the emission direction but does not keep it aligned to the direction of travel if it changes after the initial spawn.
  * **Random**: Picks a random angle to spawn with.
  * **Specify**: Enables you to specify the angle you want.

### Angle Offset/Range
With this drag float you can add an offset for the angle if you need to align the shape of the image in a certain way or if you're using a random angle then this will be the range of degrees the random angle will be.

### Angle Stays Relative to Effect
Check this option to make the Particle stay aligned to the current rotation of the emitter.

## 3D Rotation Options
If you're creating a 3d effect then there are few extra options for particle rotation. There are 2 main variations; particle angles when they're aligned to the camera, and angles when they're not aligned to the camera.

### Alignment
  * **Align to Camera**: Always align the particle to the camera. So no matter the point of view of the camera the particle will always be facing the camera.
  * **Free Align**: Align the particle freely based on the pitch, roll and yaw values you set.
  * **Align to Camera and Vector**: Always face the camera but also align the particle angle to a specific vector using the *Vector Align Type* drop down box.
  * **Align to Vector**: Align to the *Vector Align Type* but allow rotation by the pitch, roll and yaw values.

### Vector Align Type
When you have either *Align to Camera and Vector* or *Align to Vector* set as your alignment you can choose from 3 vectors to align to:

  * **Vector is Motion**: Align the particle to the particles current direction of travel.
  * **Vector is Initial Emission**: Align the particle to the emission direction.
  * **Vector is Emitter Rotation**: Align the particle to the current rotation of the emitter.

### Align to Camera Angle Settings
![3d particle rotation options](docs/images/particle_rotation_3d_align.png)
  * **Random**: Pick a random angle to spawn with.
  * **Specify**: Specify the angle of the particle that you want it to spawn with.

You can then enter the angle offset or range in the *Angle Range/Offest* field.

### Free Align/Vector Align Settings
![3d particle rotation options](docs/images/particle_rotation_3d_free_align.png)
When using free align you can specify the offset/random ranges separately for the pitch yaw and roll of the particle.
