# Spawn Options
Under spawn options there a few properties that determine some properties about how the particles are spawned and drawn.
![Spawn Options](docs/images/spawn_options.png)

### Layer
There are 4 layers that particles can spawn on that determine the order that emitters can be drawn in. Emitters with lower layer numbers will be drawn first and higher layers will be drawn on top. This can be useful if you want a glow particle to always be drawn on top of other particles.

Layer ordering takes precedence over depth or age ordering for the effect. So if you have an effect set to draw in depth order, then particles will be ordered by depth within each layer so particles on higher layers will always be draw in front of lower layers regardless of what their depth in the scene is.

### Emitter Loop Length
When an emitter plays it will access values on a graph based on the time that the effect has been running for. You can use this value to make the graphs loop over their values based on the time you set here. The time is measured in milliseconds. Each emitter in the effect can have it's own loop amount.

### Delay Spawning
You can prevent an emitter from spawning for a length of time that you set here. Time is in milliseconds.

### Relative Position
Check this box to make the particle stay relative to the emitter and effect transform. If this is unchecked then when the particle is spawned it will be transformed into position based on the current emitter position/rotation at that point in time but then left to move freely independently to the emitter.

### Single
If *Single* is checked then the emitter will spawn all particles in one go immediately rather then continuously spawn particles overtime according to the *Spawn Rate* Graphs. Having *Single* checked gives a few more options.
![Spawn Options Single](docs/images/spawn_options_single.png)

### Spawn Amount
This is the number of particles that you would like to spawn in one go when single particle is selected.

### Spawn Amount Variation
This is the amount to vary the number of single particles to spawn. So if spawn amount is 100 and variation is 100 then the number spawned would be range from 100 to 200.

### Single Loop Amount
Single particles have the option to loop over their graphs a specific number of times before expiring. Set the value to 1 for the particles to spawn and expire as normal. A value of 0 will mean that the particles never expire and will just loop over their graphs indefinitely.

### Wrap Sprite in animation
This option only applies to the effect in the *Animation* and *Sprite Data Export* tabs. It means that if you're using seamless looping in the animation then single particles will loop without overlapping.
