# Baking Sprite Data
One of the ways that you can use TimelineFX in your game is by making use of sprite baking on the Sprite Data Export Window. This is where an Effect can have all of the sprites that make up every frame of the effect can be pre-baked into memory. 

This data can then be compressed into much fewer frames and a compute shader can be used to interpolate each particle from frame to frame for smooth play back. 

This results in very high performance rendering of the particles as there is virtually no work required by the CPU and all of the sprite data is processed on the GPU. The trade off is less flexibility with dynamic effects such as trails, but for effects like explosions, fireworks, spell buffs, weather effects etc., then pre-baking can be a very good option.

Currently you can see examples of the compute shaders and how to use them here, but look out for much better examples in the future: [Sprite data compute shaders](https://github.com/peterigz/zest/tree/main/examples/assets/shaders) [Example that uses them](https://github.com/peterigz/zest/blob/main/examples/GLFW/zest-timelinefx-prerecorded-effects/zest-timelinefx-prerecorded-effects.cpp)

The sprite data export window shares some similarities with the Animation window.

## The Toolbar
![Sprite Data Tool Bar](docs/images/sprite_data_toolbar.png)

![Sprite Data Settings](docs/images/animation_settings_icon.png)
Click this to open the sprite data settings. [Read more about the settings here](help_sprite_data_settings)

![Sprite Data Camera](docs/images/preview_camera_icon.png)
The camera settings are shared with the preview window camera settings. [You can read more about them here](help_3d_camera_settings)

![Sprite Data Rerecord](docs/images/animation_rerecord_icon.png)
Click this icon if you need to re-record the sprite data. Sometimes you might need to do this if you make changes to the effect.

![Sprite Data Scrubber](docs/images/sprite_data_scrubber.png)
This slider allows you to scrub through the animation by time. Unlike the Animatino window where you can scrub through frame by frame, here frames are interpolated so you can just view what the animation looks like at a specific time.

You can disable interpolation under the settings pop up window.

Press the play button to play the animation.

![Sprite Data Info](docs/images/sprite_data_info.png)
Hover the mouse over the info icon to get information on how much memory the sprite data is taking. It will show the amount of memory used before and after compression to show how much memory is saved. The amount of compression is set under settings.
