# Sprite Data Settings

![Sprite Data Settings](docs/images/sprite_data_settings.png)

The Sprite Data settings shares some similarities with the Animation settings on the Animation tab.

### Seed
Every time the animation is recorded it will use this seed for all random numbers used in the creation of the effect, so it is the same each time. You can change the seed to see different variations of the effect. Press the Dice icon to quickly create a random seed number.

The animation will be automatically rerecorded each time you change the seed.

### Loop Animation
This option will make the animation loop. So any particles that have not expired at the end of the animation will wrap around to the start and keep doing so until they expire. Single particles will be forced to expire after reaching the end of the animation.

This is great for effects that are not finite that can just loop over and over like fires, torches, flares or anything else.

### Auto Set Frames
If the effect is finite, meaning that after a certain amount of frames all particles have expired, you can use this option to automatically set the number of frames to contain the whole effect.

### Length
Set the number of frames in the animation. Will be greyed out if *Auto Set Frames* is set.

### Compressed Length
The compressed length is not a field you can edit, it just shows the length of the animation after compression has been applied.

### Recording Frame Rate
The frame rate that the animation will be recorded at. Higher frame rates will result in smoother and more accurate animations but cost more memory. For the majority of cases 60 is recommended.

### Offset 
This will offset the start of the effect by the number of frames you set here. Note that if you're looping the animation then you probably won't get great results unless the offset is set to 0 as everytime it loops around to the start the particles in the first frame will already be a few frames into the animation due to the offset and it may look a bit janky.

### Compression
Compress the sprite data into fewer frames. Sprites are then interpolated between each frame in order to maintain a smooth animation. 

For best results when looping, choose a number of frames and compression where the compression divides evenly into the number of frames. For example setting the frames to 100 and then having a compression of 0.1, 0.2 or 0.5.

Depending on the type of effect you have will depend on the level of compression you can get away with. If particles move in a very linear manner then you can use a very low compression and not notice many visual artifacts. You will notice the low compression more when particles change direction a lot.

Ultimately you can just try different compression levels and see what looks best.

### Draw Bounding Box
A bounding box is calculated for all baked effects, this bound box can then be used to cull effects that are not in view in your game. Check this box to draw the bounding box in the Sprite Data preview.

### Include in Export
Sprite data is exported by selecting Export Sprite Data under the file menu. This will then export all the baked sprite data for the effects where you have checked this option. 

For convenience you can also hold Shift + E and then a checkbox will appear next to each effect in the library list where you can check all the effects that you want to export the sprite data for.

### Interpolation Mode
There are 3 interpolation modes for playing back the sprite data with GPU interpolation being the default and recommended way.

  * **No Interpolation**: This disables interpolation. With high compression this shows just how much less sprite data there is for the animation.
  * **CPU Interpolation**: Use the CPU to interpolate the sprite data. This is the least performant of the 3 options.
  * **GPU Interpolation**: Use the GPU to interpolate the sprite data for maximum performance.
