# How you can use TFX in your game or application
TimelineFX is an application for creating particle effects that you can use in a variety ways in games or other applications. In order to make use of these effects in your games you can use the TFX Library, a single header, single c++ library that is easy to include in your own projects.

[Click here to go to the github page to download the source](https://github.com/peterigz/timelinefxlib)

The Library is render agnostic and has no dependencies. Currently the ways in which you can make use of the effects in your games are:

  * Load in a .tfx library created with the editor and simulate the particles in real time. How you render the particles will depend on the renderer that you're using so there will be a small amount of setup. You can utilise the vertex and fragment shaders supplied with the library to achieve this. Lots of examples will be coming to show how to do this in detail. 
  * Load in exported sprite data from the editor and use the provided compute shaders to playback pre-baked effects in your game. This is great for effects that happen in one place like explosions, smoke columns, spell buffs or anything else where the particles stay relative to the emittion position. This is also very high performance as each instance of an effect is processed entirely on the GPU. [Learn More](help_sprite_data_overview)
  * Export effects as a sprite sheet from the editor. These sprite sheets can be loaded in to any renderer you need and are the easiest to used but the least flexible. [Learn More](help_animation_overview)
